
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:mc_common_app/extensions/int_extensions.dart';
import 'package:mc_common_app/extensions/string_extensions.dart';

import '../../theme/colors.dart';

class ShowImageButton extends StatelessWidget {
  String icon, title;
  VoidCallback onClick;

  ShowImageButton({required this.icon, required this.title, required this.onClick});

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onClick,
      child: Container(
        width: double.infinity,
        child: Column(
          children: [
            Container(
              width: double.infinity,
              height: 120,
              child: Card(
                color: MyColors.darkPrimaryColor,
                shape: RoundedRectangleBorder(
                  side: const BorderSide(color: Colors.transparent, width: 1),
                  borderRadius: BorderRadius.circular(8),
                ),
                child: Padding(
                  padding: EdgeInsets.all(26),
                  child: SvgPicture.asset(
                    icon,
                    color: Colors.white,
                  ),
                ),
              ),
            ),
            6.height,
            title.toText(color: Colors.black, isBold: true, fontSize: 16),
          ],
        ),
      ),
    );
  }
}
